
From: Hugh Dickins <hugh@veritas.com>

Replace reiser4 and cachefs remove_from_page_cache,page_cache_release by
delete_from_page_cache.  Sorry, but this patch is incomplete:
reiser4-export-remove_from_page_cache.patch also needs updating (easiest
just to edit the patch itself), I'd better leave that part to you...

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/page_cache.c |   10 +++-------
 1 files changed, 3 insertions(+), 7 deletions(-)

diff -puN fs/reiser4/page_cache.c~reiser4-delete_from_page_cache fs/reiser4/page_cache.c
--- 25/fs/reiser4/page_cache.c~reiser4-delete_from_page_cache	2004-10-24 23:37:37.997272448 -0700
+++ 25-akpm/fs/reiser4/page_cache.c	2004-10-24 23:37:38.001271840 -0700
@@ -759,13 +759,9 @@ drop_page(struct page *page)
 #if defined(PG_skipped)
 	ClearPageSkipped(page);
 #endif
-	if (page->mapping != NULL) {
-		remove_from_page_cache(page);
-		unlock_page(page);
-		/* page removed from the mapping---decrement page counter */
-		page_cache_release(page);
-	} else
-		unlock_page(page);
+	if (page->mapping != NULL)
+		delete_from_page_cache(page);
+	unlock_page(page);
 }
 
 
_
